# SH12 -  List all active shipping methods

Description

Results are sorted by index, set in the back-office


Call Frequency

Recommended usage: Once per day
Maximum usage: Once per day
Localization

This resource supports locale parameter (see documentation)Localized output fields will be highlighted with an icon:

Endpoint: GET /api/shipping/types

## Response 200 fields (application/json):

  - `shipping_types` (array)
    List of shipping types

  - `shipping_types.click_and_collect` (boolean, required)
    Shipping type corresponds to “click&collect”

  - `shipping_types.code` (string, required)
    Shipping type code

  - `shipping_types.delivery_by_operator` (boolean, required)
    Shipping type is managed by operator on behalf of shops

  - `shipping_types.description` (string, required)
    Shipping type description

  - `shipping_types.ignore_lead_time_to_ship` (boolean)
    When true, the lead time to ship is ignored for shipping deadline computation

  - `shipping_types.label` (string, required)
    Shipping type label

  - `shipping_types.mandatory_tracking` (boolean, required)
    Shops must provide tracking details before confirming shipment for a given shipping type

  - `shipping_types.standard_code` (string)
    Shipping type standard code


